package com.flyer.foster.dto;

import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.ArrayList;
import java.util.List;

/**
 * RoleUpdateDTO
 *
 * @author kelei
 * @since 2023/3/24/14:28
 */
@Data
public class RoleUpdateDTO {
    @NotNull(message = "id不能为空")
    private Integer roleId;

    private String roleName;

    private String roleCode;

    private Integer tenantId;

    private List<Integer> menuIdList = new ArrayList<>();
}
