package com.flyer.foster.pojo;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * TreeMenu
 *
 * @author kelei
 * @since 2022/8/3/10:53
 */
@Data
public class TreeMenu {
    private Integer id;

    /**
     * 菜单名称
     */
    private String title;

    /**
     * 菜单编码
     */
    private String component;

    /**
     * 父节点
     */
    private Integer parentId;

    /**
     * 菜单排序
     */
    private Integer menuSort;

    /**
     * 是否选中-{1：选中，0：未选中}
     */
    private boolean selected;

    /**
     * 菜单类型
     */
    private Integer type;

    /**
     * 权限
     */
    private CustomMeta meta;

    private String permission;

    /**
     * 子节点
     */
    private List<TreeMenu> children = new ArrayList<>();
}
