package com.flyer.foster.dto;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.util.ArrayList;
import java.util.List;

/**
 * RoleAddDTO
 *
 * @author kelei
 * @since 2023/3/21/20:33
 */
@Data
public class RoleAddDTO {
    @NotBlank(message = "角色名称不能为空")
    private String roleName;

    @NotBlank(message = "角色编码不能为空")
    private String roleCode;

    private List<Integer>  menuIdList = new ArrayList<>();
}
