package com.flyer.foster.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.flyer.foster.dto.AreaQueryDTO;
import com.flyer.foster.dto.PosterLibAddDTO;
import com.flyer.foster.dto.PosterLibQueryDTO;
import com.flyer.foster.dto.PosterLibRespDTO;
import com.flyer.foster.entity.PosterLib;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 海报库 服务类
 * </p>
 *
 * @author flyer
 * @since 2024-05-09
 */
public interface IPosterLibService extends IService<PosterLib> {
    /**
     * 物理删除
     * @param idList
     * @return
     */
    boolean deleteByIdList(List<Integer> idList);

    IPage<PosterLibRespDTO> getPageList(IPage<PosterLib> page, PosterLibQueryDTO queryDTO);
}
